%ifarch x86_64
%define	bitmark	()(64bit)
%else
%define	bitmark	%nil
%endif

# same as upstream Adobe RPM
%define flash_libdir %{_libdir}/chromium-browser/PepperFlash

%define debug_package %{nil}

Summary:	Flash Player plugin for browsers
Name:		flash-player-plugin
Version:	32.0.0.293
Release:	%mkrel 1
License:	Proprietary
Group:		Networking/WWW
URL:		http://www.adobe.com/products/flashplayer/
# Use this script to download the RPMs and compute their sha256sum to paste below
Source0:	get-rpms.sh
ExclusiveArch:	%{ix86} x86_64

Requires:	freshplayerplugin

# package fetching
Requires(pre):	curl

# helper for getting requires:
# for i in $(objdump -p libpepflashplayer.so  | grep NEEDED | awk '{ print $2 }' | grep -v ld-linux); do echo "Requires: $i%{bitmark}"; done | sort
Requires: libc.so.6%{bitmark}
Requires: libdl.so.2%{bitmark}
Requires: libgcc_s.so.1%{bitmark}
Requires: libm.so.6%{bitmark}
Requires: libpthread.so.0%{bitmark}
Requires: librt.so.1%{bitmark}
Requires: libstdc++.so.6%{bitmark}
# end of helper produced requires

Conflicts:	FlashPlayer < 9.0.115.0-5
Conflicts:	flash-plugin FlashPlayer-plugin flashplayer-plugin
Conflicts:	flash-player-npapi flash-player-ppapi
# Conflict with free plugins to avoid user confusion as to which one is
# actually used:
Conflicts:	gnash-firefox-plugin
Conflicts:	swfdec-mozilla
Conflicts:	lightspark-mozilla-plugin
Conflicts:	libflashsupport < 0.20080000.1
Obsoletes:	flash-player-plugin10.2 < 10.2.152
Provides:	flash-player-plugin11
Obsoletes:	flash-player-plugin11
Obsoletes:	flash-player-plugin-kde < 12
Obsoletes:	flash-player-plugin11-kde
BuildRoot:	%{_tmppath}/%{name}-root

%description
Adobe Flash Player plugin for browsers.

This package installs the PPAPI version and a freshplayerplugin wrapper
so that it will work on NPAPI browsers as well.

NOTE: This package does not contain the Flash Player itself. The
software will be automatically downloaded from Adobe during package
installation.

Installing this package indicates acceptance of the Flash Player EULA,
available at http://www.adobe.com/products/eulas/players/flash/ and at 
%{flash_libdir}/doc/license.pdf after installation.

%prep
%setup -q -c -T

# Always prefer versioned archives instead of unversioned ones, so that when
# Adobe updates the Flash Player, the old sha256sum continues to work until
# this package is updated for the new version.

# The linuxdownload.adobe.com rpm usually stays up longer, but fpdownload.macromedia.com is faster.
# Their sha256sums usually differ.

# IMPORTANT NOTES regarding the downurls and tsha256sums:
#
# - The downurls and tsha256sums are processed in sequence until %nil is encountered.
#   Therefore downurl3 is *not* processed if downurl2 is %nil!
#
# - downurls and tsha256sums are NOT correlated - there can be more urls than tsha256sums!
#   The download is considered validated if it matches *any* tsha256sum.

%ifarch %ix86
%define downurl1	http://fpdownload.adobe.com/get/flashplayer/pdc/%{version}/flash-player-ppapi-%{version}-release.i386.rpm
# (Anssi) this was up faster (i.e. at the time of writing it was up but downurl1 was not), but does not stay up very long, same sha256 as url1:
# %%define downurl2	http://fpdownload.adobe.com/get/flashplayer/current/licensing/linux/flash-player-ppapi-%{version}-release.i386.rpm
%define downurl2	%{nil}
# can be temporarily disabled by %nilling if not yet available at the time of updating:
%define downurl3	http://linuxdownload.adobe.com/linux/i386/flash-player-ppapi-%{version}-release.i386.rpm

# sha256sum:filesize
%define tsha256sum1	0a1cc6960141f7a77860cf8bea8ed7c6dcb6883269babb8e0ce6c709b6e75113:8557924
%define tsha256sum2	%{nil}
%define tsha256sum3	0a1cc6960141f7a77860cf8bea8ed7c6dcb6883269babb8e0ce6c709b6e75113:8557924

%define tarname		flash-player-ppapi-%{version}-release.i386.rpm

%define warn_on_missing_files 1
%endif

%ifarch x86_64
%define downurl1	http://fpdownload.adobe.com/get/flashplayer/pdc/%{version}/flash-player-ppapi-%{version}-release.x86_64.rpm
# %%define downurl2	http://fpdownload.adobe.com/get/flashplayer/current/licensing/linux/flash-player-ppapi-%{version}-release.x86_64.rpm
%define downurl2	%{nil}
%define downurl3	http://linuxdownload.adobe.com/linux/x86_64/flash-player-ppapi-%{version}-release.x86_64.rpm

%define tsha256sum1	dc2a6aab9dc13cff4e5cc430f8127921abbd5993b309131b67fca91bfa5e04d6:9466574
%define tsha256sum2	%{nil}
%define tsha256sum3	dc2a6aab9dc13cff4e5cc430f8127921abbd5993b309131b67fca91bfa5e04d6:9466574

%define tarname		flash-player-ppapi-%{version}-release.x86_64.rpm

%define warn_on_missing_files 1
%endif

%define file %{_localstatedir}/lib/%{name}/%{tarname}

cat > README.%_real_vendor <<EOF
This package does not contain the Flash Player itself. The software is
automatically downloaded from Adobe during package installation.

This package requires the freshplayerplugin wrapper in
%{_libdir}/mozilla/plugins/libfreshwrapper-flashplayer.so which allows
the PPAPI plugin to be used on NPAPI browsers (e.g. Firefox) as well.
EOF

%build

%install
install -d -m755 %{buildroot}%{_localstatedir}/lib/%{name}
install -d -m755 %{buildroot}%{flash_libdir}/doc

touch %{buildroot}%{flash_libdir}/libpepflashplayer.so
touch %{buildroot}%{flash_libdir}/manifest.json
touch %{buildroot}%{flash_libdir}/doc/LGPL.txt
touch %{buildroot}%{flash_libdir}/doc/readme.txt
touch %{buildroot}%{flash_libdir}/doc/notice.txt
touch %{buildroot}%{flash_libdir}/doc/license.pdf
touch %{buildroot}%{_localstatedir}/lib/%{name}/%{tarname}

install -d -m755 %{buildroot}%{_datadir}/%{name}
cat > %{buildroot}%{_datadir}/%{name}/functions << EOF
next_file() {
	FILENUM=\$((FILENUM+1))
	eval FILE_SRC="\\\$FILE\${FILENUM}_SRC"
	eval FILE_DST="\\\$FILE\${FILENUM}_DST"
	eval FILE_PRM="\\\$FILE\${FILENUM}_PRM"
	[ -n "\$FILE_SRC" ]
}

tar_extract() {
        extractdir=\$(mktemp -d --tmpdir=/tmp)
	if [ -z "\$extractdir" ]; then
		echo "Error during extraction." >&2
		exit 1
	fi

	cd "\$extractdir" || exit 1

	if [ "\$(head -c4 "%file")" = \$'\\xED\\xAB\\xEE\\xDB' ]; then
		rpm2cpio "%file" | cpio -i --quiet -d -R root:root
	else
		tar -xzf "%file" --no-same-owner --no-same-permissions
	fi

	# Avoid leaving old files in case of failure below
	FILENUM=0
	while next_file; do
		rm -f "\$FILE_DST"
	done

	FILENUM=0
	while next_file; do
		if [ ! -f "\$FILE_SRC" ]; then
%if %warn_on_missing_files
			echo "Warning: \$FILE_SRC not found in the Flash Player archive," >&2
			echo "         skipping installation of \$FILE_DST." >&2
			echo "         Please file a bug report at https://bugs.mageia.org/ ." >&2
%endif
			continue
		fi
			
		chmod "\$FILE_PRM" "\$FILE_SRC"
		mv -f "\$FILE_SRC" "\$FILE_DST"
	done
	rm -rf "\$extractdir"
}
EOF

%clean
rm -rf %{buildroot}

%pre
checksha256sum() {
	[ -e "$1" ] || return 1
	FILESHA256="$(sha256sum $1 | cut -d" " -f1)"
	FILESIZE="$(stat -c%%s "$1")"
	[ -n "$FILESHA256" ] || return 1
	[ -n "$FILESIZE" ] || return 1
	SHA256NUM=1
	eval SHA256SUM="\$SHA256SUM$SHA256NUM"
	while [ "$SHA256SUM" ]; do
		[ "${SHA256SUM%:*}" = "$FILESHA256" ] && [ "${SHA256SUM#*:}" = "$FILESIZE" ] && return 0
		SHA256NUM=$((SHA256NUM+1))
		eval SHA256SUM="\$SHA256SUM$SHA256NUM"
	done
	return 1
}

get_proxy_from_urpmi() {
	if [ -e /etc/urpmi/proxy.cfg ]; then
		proxy="$(grep ^http_proxy= /etc/urpmi/proxy.cfg 2>/dev/null)"
		proxy_user="$(grep ^proxy_user= /etc/urpmi/proxy.cfg 2>/dev/null)"

		proxy="${proxy#http_proxy=}"
		proxy_user="${proxy_user#proxy_user=}"

		[ -n "$proxy" ] && echo "--proxy $proxy"
		[ -n "$proxy_user" ] && echo "--proxy-user $proxy_user"
	fi
}

SHA256SUM1="%{tsha256sum1}"
SHA256SUM2="%{tsha256sum2}"
SHA256SUM3="%{tsha256sum3}"
SHA256SUM4=
URL1="%{downurl1}"
URL2="%{downurl2}"
URL3="%{downurl3}"
URL4=

URLNUM=1

install -d -m 0755 %{_localstatedir}/lib/%{name}

echo "Note that by downloading the Adobe Flash Player you indicate your acceptance of"
echo "the EULA, available at http://www.adobe.com/products/eulas/players/flash/"
while ! checksha256sum "%file"; do
	eval URL="\$URL$URLNUM"
	if [ -z "$URL" ]; then
		echo "Error: Unable to download Flash Player. This is likely due to this package" >&2
		echo "       being too old. Please file a bug report at https://bugs.mageia.org" >&2
		echo "       so that the package gets updated. Thank you." >&2
		echo "" >&2
		echo "       In the meantime, you can download Flash Player manually from" >&2
		echo "       http://get.adobe.com/flashplayer/" >&2
		rm -f "%file"
		[ "$(ls -A "%{_localstatedir}/lib/%{name}")" ] && rm -rf "%{_localstatedir}/lib/%{name}"
		[[ -n $DURING_INSTALL ]] && exit 0 || exit 1
	fi
	URLNUM=$((URLNUM+1))
	echo "Downloading from $URL:"
	curl --connect-timeout 20 -m 10800 -L $(get_proxy_from_urpmi) "$URL" > "%file"
done

%post
FILE1_SRC="usr/%{_lib}/flash-plugin/libpepflashplayer.so"
FILE1_DST="%{flash_libdir}/libpepflashplayer.so"
FILE1_PRM="0755"

FILE2_SRC="usr/share/doc/flash-player-ppapi-%{version}/license.pdf"
FILE2_DST="%{flash_libdir}/doc/license.pdf"
FILE2_PRM="0644"
FILE3_SRC="usr/share/doc/flash-player-ppapi-%{version}/readme.txt"
FILE3_DST="%{flash_libdir}/doc/readme.txt"
FILE3_PRM="0644"
FILE4_SRC="usr/share/doc/flash-player-ppapi-%{version}/notice.txt"
FILE4_DST="%{flash_libdir}/doc/notice.txt"
FILE4_PRM="0644"
FILE5_SRC="usr/share/doc/flash-player-ppapi-%{version}/LGPL.txt"
FILE5_DST="%{flash_libdir}/doc/LGPL.txt"
FILE5_PRM="0644"

FILE6_SRC="usr/%{_lib}/flash-plugin/manifest.json"
FILE6_DST="%{flash_libdir}/manifest.json"
FILE6_PRM="0644"

FILE7_SRC=

. %{_datadir}/%{name}/functions
tar_extract

# Make Firefox see that the plugin has been updated
# (this file has %verify(not mtime) set):
touch --no-create %{_libdir}/mozilla/plugins/libfreshwrapper-flashplayer.so

echo "Adobe Flash Player installation successful."

%files
%doc README.%_real_vendor

%dir %{_localstatedir}/lib/%{name}
%ghost %{_localstatedir}/lib/%{name}/%{tarname}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/functions

%dir %{flash_libdir}
%dir %{flash_libdir}/doc
%ghost %{flash_libdir}/libpepflashplayer.so
%ghost %{flash_libdir}/manifest.json
%ghost %{flash_libdir}/doc/license.pdf
%ghost %{flash_libdir}/doc/readme.txt
%ghost %{flash_libdir}/doc/notice.txt
%ghost %{flash_libdir}/doc/LGPL.txt


%changelog
* Wed Nov 13 2019 ns80 <ns80> 32.0.0.293-1.mga7
+ Revision: 1459799
- new version 32.0.0.293
- new version 32.0.0.270
- new version 32.0.0.255 (mga#25429)
+ tmb <tmb>
- update to 32.0.0.238
+ mrambo3501 <mrambo3501>
- version 32.0.0.223 (mga#25159)

* Tue Jun 11 2019 ns80 <ns80> 32.0.0.207-1.mga7.nonfree
+ Revision: 1399816
- new version 32.0.0.207 (mga#24942)

* Wed May 15 2019 ns80 <ns80> 32.0.0.192-1.mga7.nonfree
+ Revision: 1397801
- new version 32.0.0.192 (mga#24822)

* Tue Apr 09 2019 ns80 <ns80> 32.0.0.171-1.mga7.nonfree
+ Revision: 1387374
- new version 32.0.0.171

* Thu Mar 14 2019 ns80 <ns80> 32.0.0.156-1.mga7.nonfree
+ Revision: 1376485
- new version 32.0.0.156 (mga#24515)

* Fri Feb 15 2019 ns80 <ns80> 32.0.0.142-1.mga7.nonfree
+ Revision: 1367177
- new version 32.0.0.142 (mga#24363)

* Tue Jan 08 2019 ns80 <ns80> 32.0.0.114-1.mga7.nonfree
+ Revision: 1352341
- new version 32.0.0.114

* Fri Dec 28 2018 tmb <tmb> 32.0.0.101-2.mga7.nonfree
+ Revision: 1345455
- rebuild for missing packages

* Thu Dec 06 2018 ns80 <ns80> 32.0.0.101-1.mga7.nonfree
+ Revision: 1338646
- new version 32.0.0.101 (mga#23950)

* Wed Nov 21 2018 ns80 <ns80> 31.0.0.153-1.mga7.nonfree
+ Revision: 1332622
- new version 31.0.0.153 (mga#23872)

* Wed Nov 14 2018 ns80 <ns80> 31.0.0.148-1.mga7.nonfree
+ Revision: 1329905
- new version 31.0.0.148 (mga#23841)

* Fri Oct 12 2018 ns80 <ns80> 31.0.0.122-1.mga7.nonfree
+ Revision: 1319787
- new version 31.0.0.122 (mga#23666)

* Sun Sep 23 2018 umeabot <umeabot> 31.0.0.108-3.mga7.nonfree
+ Revision: 1297718
- Mageia 7 Mass Rebuild

* Sat Sep 15 2018 tmb <tmb> 31.0.0.108-2.mga7.nonfree
+ Revision: 1259071
- re-enable downurl1 for 32bit

* Wed Sep 12 2018 kekepower <kekepower> 31.0.0.108-1.mga7.nonfree
+ Revision: 1258613
- Update to version 31.0.0.108

* Sun Aug 19 2018 tmb <tmb> 30.0.0.154-1.mga7.nonfree
+ Revision: 1252779
- update to 30.0.0.154 (APSB18-25)

* Thu Jul 12 2018 mrambo3501 <mrambo3501> 30.0.0.134-1.mga7.nonfree
+ Revision: 1243278
- version 30.0.0.134 (mga#23292)

* Wed Jun 13 2018 kekepower <kekepower> 30.0.0.113-1.mga7.nonfree
+ Revision: 1236709
- Update to version 30.0.0.113

* Tue May 08 2018 anssi <anssi> 29.0.0.171-1.mga7.nonfree
+ Revision: 1227793
- new version 29.0.0.171
  * fixes CVE-2018-4944
    ( https://helpx.adobe.com/security/products/flash-player/apsb18-16.html )

* Thu Apr 12 2018 kekepower <kekepower> 29.0.0.140-1.mga7.nonfree
+ Revision: 1218056
- Update to version 29.0.0.140

* Fri Mar 30 2018 mrambo3501 <mrambo3501> 29.0.0.113-1.mga7.nonfree
+ Revision: 1213653
- version 29.0.0.113 fixes CVE-2018-4919 and CVE-2018-4920 (mga#22767)

* Tue Feb 06 2018 anssi <anssi> 28.0.0.161-1.mga7.nonfree
+ Revision: 1199382
- new version 28.0.0.161
  * fixes CVE-2018-4877, CVE-2018-4878
    ( https://helpx.adobe.com/security/products/flash-player/apsb18-03.html )

* Wed Jan 10 2018 anssi <anssi> 28.0.0.137-1.mga7.nonfree
+ Revision: 1192109
- new version 28.0.0.137
  o fixes CVE-2018-4871
    ( https://helpx.adobe.com/security/products/flash-player/apsb18-01.html )

* Wed Dec 20 2017 ns80 <ns80> 28.0.0.126-1.mga7.nonfree
+ Revision: 1183558
- new version 28.0.0.126 (mga#22192)

* Tue Nov 14 2017 anssi <anssi> 27.0.0.187-1.mga7.nonfree
+ Revision: 1177361
- new version 27.0.0.187
  o fixes CVE-2017-3112, CVE-2017-3114, CVE-2017-11213, CVE-2017-11215,
    CVE-2017-11225
    ( https://helpx.adobe.com/security/products/flash-player/apsb17-33.html )

* Mon Nov 06 2017 mrambo3501 <mrambo3501> 27.0.0.183-1.mga7.nonfree
+ Revision: 1176264
- version 27.0.0.183 (bugfix)

* Mon Oct 16 2017 anssi <anssi> 27.0.0.170-1.mga7.nonfree
+ Revision: 1172279
- new version 27.0.0.170
  o fixes CVE-2017-11292
    ( https://helpx.adobe.com/security/products/flash-player/apsb17-32.html )

* Wed Sep 13 2017 anssi <anssi> 27.0.0.130-1.mga7.nonfree
+ Revision: 1153624
- new version 27.0.0.130
  o fixes CVE-2017-11281, CVE-2017-11282
    ( https://helpx.adobe.com/security/products/flash-player/apsb17-28.html )

* Sun Aug 20 2017 neoclust <neoclust> 26.0.0.151-1.mga7.nonfree
+ Revision: 1142007
- New version 26.0.0.151 - Fixes CVE-2017-3085, CVE-2017-3106 (mga#21506)

* Mon Jul 17 2017 anssi <anssi> 26.0.0.137-3.mga7.nonfree
+ Revision: 1124642
- fix Firefox not seeing the updated Flash Player
  (see bug #21224 comment 7)

* Sun Jul 16 2017 tmb <tmb> 26.0.0.137-2.mga7.nonfree
+ Revision: 1123588
- bump rel past mga6 updates_testing

* Tue Jul 11 2017 anssi <anssi> 26.0.0.137-1.mga6.nonfree
+ Revision: 1109667
- new version 26.0.0.137
  o fixes CVE-2017-3080, CVE-2017-3099, CVE-2017-3100
    ( https://helpx.adobe.com/security/products/flash-player/apsb17-21.html )

* Tue Jun 13 2017 anssi <anssi> 26.0.0.126-1.mga6.nonfree
+ Revision: 1107621
- new version 26.0.0.126
  o fixes CVE-2017-3075, CVE-2017-3081, CVE-2017-3083, CVE-2017-3084,
    CVE-2017-3076, CVE-2017-3077, CVE-2017-3078, CVE-2017-3079,
    CVE-2017-3082
    ( https://helpx.adobe.com/security/products/flash-player/apsb17-17.html )

* Tue May 09 2017 anssi <anssi> 25.0.0.171-1.mga6.nonfree
+ Revision: 1099886
- new version 25.0.0.171
  o fixes CVE-2017-3068, CVE-2017-3069, CVE-2017-3070, CVE-2017-3071,
    CVE-2017-3072, CVE-2017-3073, CVE-2017-3074
    ( https://helpx.adobe.com/security/products/flash-player/apsb17-15.html )

* Wed Apr 19 2017 ns80 <ns80> 25.0.0.148-2.mga6.nonfree
+ Revision: 1096751
- bump release

* Tue Apr 18 2017 akien <akien> 25.0.0.148-1.mga6.nonfree
+ Revision: 1096653
- Version 25.0.0.148
- Add script to download RPMs and parse sha256sum

* Mon Mar 20 2017 akien <akien> 25.0.0.127-1.mga6.nonfree
+ Revision: 1093780
- Version 25.0.0.127

* Mon Mar 20 2017 tv <tv> 24.0.0.221-2.mga6.nonfree
+ Revision: 1093776
- do not abort the update/install when run from drakx (mga#20517)
  (we should probably do that for the generic case too)

* Wed Feb 22 2017 mrambo3501 <mrambo3501> 24.0.0.221-1.mga6.nonfree
+ Revision: 1087373
- update to version 24.0.0.221

* Wed Feb 15 2017 mrambo3501 <mrambo3501> 24.0.0.186-3.mga6.nonfree
+ Revision: 1086226
- rebuild for new libevent
+ luigiwalser <luigiwalser>
- require packaged freshplayerplugin and change install dir

* Sat Dec 17 2016 anssi <anssi> 24.0.0.186-1.mga6.nonfree
+ Revision: 1075754
- new version 24.0.0.186
  o fixes CVE-2016-7867, CVE-2016-7868, CVE-2016-7869, CVE-2016-7870,
    CVE-2016-7871, CVE-2016-7872, CVE-2016-7873, CVE-2016-7874,
    CVE-2016-7875, CVE-2016-7876, CVE-2016-7877, CVE-2016-7878,
    CVE-2016-7879, CVE-2016-7880, CVE-2016-7881, CVE-2016-7890,
    CVE-2016-7892
- switched to the PPAPI variant, with included freshplayerplugin
  wrapper allowing NPAPI browsers to still use the plugin

* Tue Nov 08 2016 anssi <anssi> 11.2.202.644-1.mga6.nonfree
+ Revision: 1065930
- new version 11.2.202.644
  ( https://helpx.adobe.com/security/products/flash-player/apsb16-37.html )

* Sat Oct 29 2016 tmb <tmb> 11.2.202.643-1.mga6.nonfree
+ Revision: 1064081
- 11.2.202.643 (CVE-2016-7855, APSB16-36)

* Sat Oct 15 2016 anssi <anssi> 11.2.202.637-1.mga6.nonfree
+ Revision: 1060842
- new version 11.2.202.637 (bug #19584)
  o fixes CVE-2016-4273, CVE-2016-4286, CVE-2016-6981, CVE-2016-6982,
    CVE-2016-6983, CVE-2016-6984, CVE-2016-6985, CVE-2016-6986,
    CVE-2016-6987, CVE-2016-6989, CVE-2016-6990, CVE-2016-6992
    ( https://helpx.adobe.com/security/products/flash-player/apsb16-32.html )

* Wed Sep 14 2016 anssi <anssi> 11.2.202.635-1.mga6.nonfree
+ Revision: 1052935
- new version 11.2.202.635
  o fixes CVE-2016-4271, CVE-2016-4272, CVE-2016-4274, CVE-2016-4275,
    CVE-2016-4276, CVE-2016-4277, CVE-2016-4278, CVE-2016-4279,
    CVE-2016-4280, CVE-2016-4281, CVE-2016-4282, CVE-2016-4283,
    CVE-2016-4284, CVE-2016-4285, CVE-2016-4287, CVE-2016-6921,
    CVE-2016-6922, CVE-2016-6923, CVE-2016-6924, CVE-2016-6925,
    CVE-2016-6926, CVE-2016-6927, CVE-2016-6929, CVE-2016-6930,
    CVE-2016-6931, CVE-2016-6932
    ( https://helpx.adobe.com/security/products/flash-player/apsb16-29.html )

* Tue Jul 12 2016 anssi <anssi> 11.2.202.632-1.mga6.nonfree
+ Revision: 1041281
- new version 11.2.202.632
  o fixes CVE-2016-4172, CVE-2016-4173, CVE-2016-4174, CVE-2016-4175,
    CVE-2016-4176, CVE-2016-4177, CVE-2016-4178, CVE-2016-4179,
    CVE-2016-4180, CVE-2016-4181, CVE-2016-4182, CVE-2016-4183,
    CVE-2016-4184, CVE-2016-4185, CVE-2016-4186, CVE-2016-4187,
    CVE-2016-4188, CVE-2016-4189, CVE-2016-4190, CVE-2016-4217,
    CVE-2016-4218, CVE-2016-4219, CVE-2016-4220, CVE-2016-4221,
    CVE-2016-4222, CVE-2016-4223, CVE-2016-4224, CVE-2016-4225,
    CVE-2016-4226, CVE-2016-4227, CVE-2016-4228, CVE-2016-4229,
    CVE-2016-4230, CVE-2016-4231, CVE-2016-4232, CVE-2016-4233,
    CVE-2016-4234, CVE-2016-4235, CVE-2016-4236, CVE-2016-4237,
    CVE-2016-4238, CVE-2016-4239, CVE-2016-4240, CVE-2016-4241,
    CVE-2016-4242, CVE-2016-4243, CVE-2016-4244, CVE-2016-4245,
    CVE-2016-4246, CVE-2016-4247, CVE-2016-4248, CVE-2016-4249
    ( https://helpx.adobe.com/security/products/flash-player/apsb16-25.html )

* Thu Jun 16 2016 anssi <anssi> 11.2.202.626-1.mga6.nonfree
+ Revision: 1021799
- new version 11.2.202.626
  o fixes CVE-2016-4122, CVE-2016-4123, CVE-2016-4124, CVE-2016-4125,
    CVE-2016-4127, CVE-2016-4128, CVE-2016-4129, CVE-2016-4130,
    CVE-2016-4131, CVE-2016-4132, CVE-2016-4133, CVE-2016-4134,
    CVE-2016-4135, CVE-2016-4136, CVE-2016-4137, CVE-2016-4138,
    CVE-2016-4139, CVE-2016-4140, CVE-2016-4141, CVE-2016-4142,
    CVE-2016-4143, CVE-2016-4144, CVE-2016-4145, CVE-2016-4146,
    CVE-2016-4147, CVE-2016-4148, CVE-2016-4149, CVE-2016-4150,
    CVE-2016-4151, CVE-2016-4152, CVE-2016-4153, CVE-2016-4154,
    CVE-2016-4155, CVE-2016-4156, CVE-2016-4166, CVE-2016-4171
    ( https://helpx.adobe.com/security/products/flash-player/apsb16-18.html )

* Thu May 12 2016 anssi <anssi> 11.2.202.621-1.mga6.nonfree
+ Revision: 1014245
- new version 11.2.202.621
  o fixes CVE-2016-1096, CVE-2016-1097, CVE-2016-1098, CVE-2016-1099,
    CVE-2016-1100, CVE-2016-1101, CVE-2016-1102, CVE-2016-1103,
    CVE-2016-1104, CVE-2016-1105, CVE-2016-1106, CVE-2016-1107,
    CVE-2016-1108, CVE-2016-1109, CVE-2016-1110, CVE-2016-4108,
    CVE-2016-4109, CVE-2016-4110, CVE-2016-4111, CVE-2016-4112,
    CVE-2016-4113, CVE-2016-4114, CVE-2016-4115, CVE-2016-4116,
    CVE-2016-4117
    ( https://helpx.adobe.com/security/products/flash-player/apsb16-15.html )

* Thu Apr 07 2016 anssi <anssi> 11.2.202.616-1.mga6.nonfree
+ Revision: 999220
- new version 11.2.202.616
  o fixes CVE-2016-1019
    ( https://helpx.adobe.com/security/products/flash-player/apsa16-01.html )

* Thu Mar 10 2016 anssi <anssi> 11.2.202.577-1.mga6.nonfree
+ Revision: 988806
- new version 11.2.202.577
  o fixes CVE-2016-0960, CVE-2016-0961, CVE-2016-0962, CVE-2016-0963,
    CVE-2016-0986, CVE-2016-0987, CVE-2016-0988, CVE-2016-0989,
    CVE-2016-0990, CVE-2016-0991, CVE-2016-0993, CVE-2016-0994,
    CVE-2016-0995, CVE-2016-0996, CVE-2016-1000, CVE-2016-1001,
    CVE-2016-1005, CVE-2016-1010
    ( https://helpx.adobe.com/security/products/flash-player/apsb16-08.html )

* Tue Feb 09 2016 anssi <anssi> 11.2.202.569-1.mga6.nonfree
+ Revision: 952935
- new version 11.2.202.569
  o fixes CVE-2016-0964, CVE-2016-0965, CVE-2016-0966, CVE-2016-0967,
    CVE-2016-0968, CVE-2016-0969, CVE-2016-0970, CVE-2016-0971, CVE-2016-0972,
    CVE-2016-0973, CVE-2016-0974, CVE-2016-0975, CVE-2016-0976, CVE-2016-0977,
    CVE-2016-0978, CVE-2016-0979, CVE-2016-0980, CVE-2016-0981, CVE-2016-0982,
    CVE-2016-0983, CVE-2016-0984, CVE-2016-0985

* Mon Dec 28 2015 anssi <anssi> 11.2.202.559-1.mga6.nonfree
+ Revision: 916431
- new version 11.2.202.559

* Tue Dec 08 2015 anssi <anssi> 11.2.202.554-1.mga6.nonfree
+ Revision: 908911
- new version 11.2.202.554
  o fixes CVE-2015-8045, CVE-2015-8047, CVE-2015-8048, CVE-2015-8049,
    CVE-2015-8050, CVE-2015-8051, CVE-2015-8052, CVE-2015-8053, CVE-2015-8054,
    CVE-2015-8055, CVE-2015-8056, CVE-2015-8057, CVE-2015-8058, CVE-2015-8059,
    CVE-2015-8060, CVE-2015-8061, CVE-2015-8062, CVE-2015-8063, CVE-2015-8064,
    CVE-2015-8065, CVE-2015-8066, CVE-2015-8067, CVE-2015-8068, CVE-2015-8069,
    CVE-2015-8070, CVE-2015-8071, CVE-2015-8401, CVE-2015-8402, CVE-2015-8403,
    CVE-2015-8404, CVE-2015-8405, CVE-2015-8406, CVE-2015-8407, CVE-2015-8408,
    CVE-2015-8409, CVE-2015-8410, CVE-2015-8411, CVE-2015-8412, CVE-2015-8413,
    CVE-2015-8414, CVE-2015-8415, CVE-2015-8416, CVE-2015-8417, CVE-2015-8419,
    CVE-2015-8420, CVE-2015-8421, CVE-2015-8422, CVE-2015-8423, CVE-2015-8424,
    CVE-2015-8425, CVE-2015-8426, CVE-2015-8427, CVE-2015-8428, CVE-2015-8429,
    CVE-2015-8430, CVE-2015-8431, CVE-2015-8432, CVE-2015-8433, CVE-2015-8434,
    CVE-2015-8435, CVE-2015-8436, CVE-2015-8437, CVE-2015-8438, CVE-2015-8439,
    CVE-2015-8440, CVE-2015-8441, CVE-2015-8442, CVE-2015-8443, CVE-2015-8444,
    CVE-2015-8445, CVE-2015-8446, CVE-2015-8447, CVE-2015-8448, CVE-2015-8449,
    CVE-2015-8450, CVE-2015-8451, CVE-2015-8452, CVE-2015-8453
    ( https://helpx.adobe.com/security/products/flash-player/apsb15-32.html )

* Wed Nov 11 2015 anssi <anssi> 11.2.202.548-1.mga6.nonfree
+ Revision: 902533
- new version 11.2.202.548
  o fixes CVE-2015-7651, CVE-2015-7652, CVE-2015-7653, CVE-2015-7654,
    CVE-2015-7655, CVE-2015-7656, CVE-2015-7657, CVE-2015-7658,
    CVE-2015-7659, CVE-2015-7660, CVE-2015-7661, CVE-2015-7662,
    CVE-2015-7663, CVE-2015-8042, CVE-2015-8043, CVE-2015-8044,
    CVE-2015-8046
    ( https://helpx.adobe.com/security/products/flash-player/apsb15-28.html )

* Fri Oct 16 2015 anssi <anssi> 11.2.202.540-1.mga6.nonfree
+ Revision: 892077
- new version 11.2.202.540
  o fixes CVE-2015-7645, CVE-2015-7647, CVE-2015-7648
    ( https://helpx.adobe.com/security/products/flash-player/apsb15-27.html )

* Tue Oct 13 2015 anssi <anssi> 11.2.202.535-1.mga6.nonfree
+ Revision: 890460
- new version 11.2.202.535
  o fixes CVE-2015-5569, CVE-2015-7625, CVE-2015-7626, CVE-2015-7627,
    CVE-2015-7628, CVE-2015-7629, CVE-2015-7630, CVE-2015-7631,
    CVE-2015-7632, CVE-2015-7633, CVE-2015-7634, CVE-2015-7643,
    CVE-2015-7644
    ( https://helpx.adobe.com/security/products/flash-player/apsb15-25.html )

* Mon Sep 21 2015 anssi <anssi> 11.2.202.521-1.mga6.nonfree
+ Revision: 882074
- new version
  o fixes CVE-2015-5567, CVE-2015-5568, CVE-2015-5570, CVE-2015-5571,
    CVE-2015-5572, CVE-2015-5573, CVE-2015-5574, CVE-2015-5575, CVE-2015-5576,
    CVE-2015-5577, CVE-2015-5578, CVE-2015-5579, CVE-2015-5580, CVE-2015-5581,
    CVE-2015-5582, CVE-2015-5584, CVE-2015-5587, CVE-2015-5588, CVE-2015-6676,
    CVE-2015-6677, CVE-2015-6678, CVE-2015-6679, CVE-2015-6682
    ( https://helpx.adobe.com/security/products/flash-player/apsb15-23.html )

* Tue Aug 11 2015 anssi <anssi> 11.2.202.508-1.mga6.nonfree
+ Revision: 863034
- new version 11.2.202.508
  o fixes CVE-2015-3107, CVE-2015-5124, CVE-2015-5125, CVE-2015-5127,
    CVE-2015-5128, CVE-2015-5129, CVE-2015-5130, CVE-2015-5131,
    CVE-2015-5132, CVE-2015-5133, CVE-2015-5134, CVE-2015-5539,
    CVE-2015-5540, CVE-2015-5541, CVE-2015-5544, CVE-2015-5545,
    CVE-2015-5546, CVE-2015-5547, CVE-2015-5548, CVE-2015-5549,
    CVE-2015-5550, CVE-2015-5551, CVE-2015-5552, CVE-2015-5553,
    CVE-2015-5554, CVE-2015-5555, CVE-2015-5556, CVE-2015-5557,
    CVE-2015-5558, CVE-2015-5559, CVE-2015-5560, CVE-2015-5561,
    CVE-2015-5562, CVE-2015-5563
    ( https://helpx.adobe.com/security/products/flash-player/apsb15-19.html )

* Thu Jul 16 2015 anssi <anssi> 11.2.202.491-1.mga6.nonfree
+ Revision: 854609
- new version 11.2.202.491
  o fixes CVE-2015-5122, CVE-2015-5123
    ( https://helpx.adobe.com/security/products/flash-player/apsb15-18.html )

* Wed Jul 08 2015 anssi <anssi> 11.2.202.481-1.mga6.nonfree
+ Revision: 852820
- new version 11.2.202.481
  o fixes CVE-2014-0578, CVE-2015-3097, CVE-2015-3114, CVE-2015-3115,
    CVE-2015-3116, CVE-2015-3117, CVE-2015-3118, CVE-2015-3119, CVE-2015-3120,
    CVE-2015-3121, CVE-2015-3122, CVE-2015-3123, CVE-2015-3124, CVE-2015-3125,
    CVE-2015-3126, CVE-2015-3127, CVE-2015-3128, CVE-2015-3129, CVE-2015-3130,
    CVE-2015-3131, CVE-2015-3132, CVE-2015-3133, CVE-2015-3134, CVE-2015-3135,
    CVE-2015-3136, CVE-2015-3137, CVE-2015-4428, CVE-2015-4429, CVE-2015-4430,
    CVE-2015-4431, CVE-2015-4432, CVE-2015-4433, CVE-2015-5116, CVE-2015-5117,
    CVE-2015-5118, CVE-2015-5119
    ( https://helpx.adobe.com/security/products/flash-player/apsb15-16.html )

* Tue Jun 23 2015 anssi <anssi> 11.2.202.468-1.mga6.nonfree
+ Revision: 841524
- new version 11.2.202.468
  o fixes CVE-2015-3113 (actively being exploited)
    ( https://helpx.adobe.com/security/products/flash-player/apsb15-14.html )

* Sat Jun 20 2015 anssi <anssi> 11.2.202.466-1.mga6.nonfree
+ Revision: 835793
- new version 11.2.202.466
  o fixes CVE-2015-3096, CVE-2015-3098, CVE-2015-3099, CVE-2015-3100,
    CVE-2015-3101, CVE-2015-3102, CVE-2015-3103, CVE-2015-3104,
    CVE-2015-3105, CVE-2015-3106, CVE-2015-3107, CVE-2015-3108
    ( https://helpx.adobe.com/security/products/flash-player/apsb15-11.html )

* Tue May 12 2015 anssi <anssi> 11.2.202.460-1.mga5.nonfree
+ Revision: 821941
- new version 11.2.202.460
  o fixes CVE-2015-3044, CVE-2015-3077, CVE-2015-3078, CVE-2015-3079,
    CVE-2015-3080, CVE-2015-3081, CVE-2015-3082, CVE-2015-3083,
    CVE-2015-3084, CVE-2015-3085, CVE-2015-3086, CVE-2015-3087,
    CVE-2015-3088, CVE-2015-3089, CVE-2015-3090, CVE-2015-3091,
    CVE-2015-3092, CVE-2015-3093
    ( https://helpx.adobe.com/security/products/flash-player/apsb15-09.html )

* Tue Apr 14 2015 anssi <anssi> 11.2.202.457-1.mga5.nonfree
+ Revision: 820209
- new version 11.2.202.457
  o fixes CVE-2015-0346, CVE-2015-0347, CVE-2015-0348, CVE-2015-0349,
    CVE-2015-0350, CVE-2015-0351, CVE-2015-0352, CVE-2015-0353, CVE-2015-0354,
    CVE-2015-0355, CVE-2015-0356, CVE-2015-0357, CVE-2015-0358, CVE-2015-0359,
    CVE-2015-0360, CVE-2015-3038, CVE-2015-3039, CVE-2015-3040, CVE-2015-3041,
    CVE-2015-3042, CVE-2015-3043, CVE-2015-3044
    ( https://helpx.adobe.com/security/products/flash-player/apsb15-06.html )

* Thu Mar 12 2015 anssi <anssi> 11.2.202.451-1.mga5.nonfree
+ Revision: 818459
- new version 11.2.202.451
  o fixes CVE-2015-0332, CVE-2015-0333, CVE-2015-0334, CVE-2015-0335,
    CVE-2015-0336, CVE-2015-0337, CVE-2015-0338, CVE-2015-0339,
    CVE-2015-0340, CVE-2015-0341, CVE-2015-0342
    ( https://helpx.adobe.com/security/products/flash-player/apsb15-05.html )
- use sha256sum+size instead of md5sum for download verification
  (mgabz #15229)

* Thu Feb 05 2015 anssi <anssi> 11.2.202.442-1.mga5.nonfree
+ Revision: 813559
- new version 11.2.202.442
  o fixes CVE-2015-0313, CVE-2015-0314, CVE-2015-0315, CVE-2015-0316,
          CVE-2015-0317, CVE-2015-0318, CVE-2015-0319, CVE-2015-0320,
          CVE-2015-0321, CVE-2015-0322, CVE-2015-0323, CVE-2015-0324,
          CVE-2015-0325, CVE-2015-0326, CVE-2015-0327, CVE-2015-0328,
          CVE-2015-0329, CVE-2015-0330
  ( https://helpx.adobe.com/security/products/flash-player/apsb15-04.html )

* Mon Jan 26 2015 anssi <anssi> 11.2.202.440-2.mga5.nonfree
+ Revision: 812385
- fix missing download URLs
- new version 11.2.202.440
  o fixes CVE-2015-0311
  o http://helpx.adobe.com/security/products/flash-player/apsa15-01.html
- new version 11.2.202.438
  o fixes CVE-2015-0310 (memleak with zero or limited security impact
    on Linux platform according to Adobe)
  o http://helpx.adobe.com/security/products/flash-player/apsb15-02.html

* Tue Jan 13 2015 anssi <anssi> 11.2.202.429-1.mga5.nonfree
+ Revision: 810431
- new version 11.2.202.429
  o fixes CVE-2015-0301, CVE-2015-0302, CVE-2015-0303, CVE-2015-0304,
    CVE-2015-0305, CVE-2015-0306, CVE-2015-0307, CVE-2015-0308, CVE-2015-0309
    ( http://helpx.adobe.com/security/products/flash-player/apsb15-01.html )

* Tue Dec 09 2014 anssi <anssi> 11.2.202.425-1.mga5.nonfree
+ Revision: 802437
- new version 11.2.202.425
  o fixes CVE-2014-0580, CVE-2014-0587, CVE-2014-8443, CVE-2014-9162,
          CVE-2014-9163, CVE-2014-9164
    ( http://helpx.adobe.com/security/products/flash-player/apsb14-27.html )

* Tue Nov 25 2014 anssi <anssi> 11.2.202.424-1.mga5.nonfree
+ Revision: 799202
- new version 11.2.202.424
  o additional hardening for CVE-2014-8439
    ( http://helpx.adobe.com/security/products/flash-player/apsb14-26.html )

* Tue Nov 11 2014 anssi <anssi> 11.2.202.418-1.mga5.nonfree
+ Revision: 796475
- new version 11.2.202.418
  o fixes CVE-2014-0573, CVE-2014-0574, CVE-2014-0576, CVE-2014-0577,
    CVE-2014-0581, CVE-2014-0582, CVE-2014-0583, CVE-2014-0584,
    CVE-2014-0585, CVE-2014-0586, CVE-2014-0588, CVE-2014-0589,
    CVE-2014-0590, CVE-2014-8437, CVE-2014-8438, CVE-2014-8440,
    CVE-2014-8441, CVE-2014-8442
    ( http://helpx.adobe.com/security/products/flash-player/apsb14-24.html )

* Tue Nov 04 2014 anssi <anssi> 11.2.202.411-1.mga5.nonfree
+ Revision: 795561
- new version 11.2.202.411
  o fixes CVE-2014-0558, CVE-2014-0564, CVE-2014-0569
    ( http://helpx.adobe.com/security/products/flash-player/apsb14-22.html )

* Tue Sep 16 2014 umeabot <umeabot> 11.2.202.406-4.mga5.nonfree
+ Revision: 679226
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Sep 14 2014 tmb <tmb> 11.2.202.406-3.mga5.nonfree
+ Revision: 675450
- really filter out internal provides and requires

* Sun Sep 14 2014 tmb <tmb> 11.2.202.406-2.mga5.nonfree
+ Revision: 675408
- switch to new  __requires/__provides_exclude

* Sun Sep 14 2014 anssi <anssi> 11.2.202.406-1.mga5.nonfree
+ Revision: 675188
- new version 11.2.202.406
  o fixes CVE-2014-0547, CVE-2014-0548, CVE-2014-0549, CVE-2014-0550,
    CVE-2014-0551, CVE-2014-0552, CVE-2014-0553, CVE-2014-0554, CVE-2014-0555,
    CVE-2014-0556, CVE-2014-0557, CVE-2014-0559
    ( http://helpx.adobe.com/security/products/flash-player/apsb14-21.html )

* Thu Aug 14 2014 anssi <anssi> 11.2.202.400-1.mga5.nonfree
+ Revision: 662452
- new version 11.2.202.400
  o fixes CVE-2014-0538, CVE-2014-0540, CVE-2014-0541, CVE-2014-0542,
    CVE-2014-0543, CVE-2014-0544, CVE-2014-0545
    ( https://helpx.adobe.com/security/products/flash-player/apsb14-18.html )

* Tue Jul 08 2014 anssi <anssi> 11.2.202.394-1.mga5.nonfree
+ Revision: 650748
- new version 11.2.202.394
  o fixes CVE-2014-0537, CVE-2014-0539, CVE-2014-4671
    ( http://helpx.adobe.com/security/products/flash-player/apsb14-17.html )

* Thu Jun 12 2014 anssi <anssi> 11.2.202.378-1.mga5.nonfree
+ Revision: 635803
- new version 11.2.202.378
  o fixes CVE-2014-0531, CVE-2014-0532, CVE-2014-0533, CVE-2014-0534,
    CVE-2014-0535, CVE-2014-0536
    ( http://helpx.adobe.com/security/products/flash-player/apsb14-16.html )

* Tue May 13 2014 anssi <anssi> 11.2.202.359-1.mga5.nonfree
+ Revision: 622606
- new version 11.2.202.359
  o fixes CVE-2014-0510, CVE-2014-0516, CVE-2014-0517, CVE-2014-0518,
    CVE-2014-0519, CVE-2014-0520
    ( http://helpx.adobe.com/security/products/flash-player/apsb14-14.html )

* Tue Apr 29 2014 anssi <anssi> 11.2.202.356-1.mga5.nonfree
+ Revision: 618847
- new version 11.2.202.356
  o fixes CVE-2014-0515
    ( http://helpx.adobe.com/security/products/flash-player/apsb14-13.html )

* Tue Apr 08 2014 anssi <anssi> 11.2.202.350-1.mga5.nonfree
+ Revision: 612933
- new version 11.2.202.350
  o fixes CVE-2014-0506, CVE-2014-0507, CVE-2014-0508, CVE-2014-0509

* Tue Mar 18 2014 anssi <anssi> 11.2.202.346-2.mga5.nonfree
+ Revision: 604992
- add hal-flash wrapper to allow protected content (e.g. Google Play
  Movies) playback to work ( http://github.com/cshorler/hal-flash )

* Tue Mar 11 2014 anssi <anssi> 11.2.202.346-1.mga5.nonfree
+ Revision: 602561
- new version 11.2.202.346
  o fixes CVE-2014-0503, CVE-2014-0504
    ( http://helpx.adobe.com/security/products/flash-player/apsb14-08.html )

* Fri Feb 21 2014 oden <oden> 11.2.202.341-1.mga5.nonfree
+ Revision: 595216
- new version 11.2.202.341
  o fixes CVE-2014-0498, CVE-2014-0499, CVE-2014-0502
    ( http://helpx.adobe.com/security/products/flash-player/apsb14-07.html )

* Tue Feb 04 2014 anssi <anssi> 11.2.202.336-1.mga5.nonfree
+ Revision: 582111
- new version 11.2.202.336
  o fixes CVE-2014-0497
    ( http://helpx.adobe.com/security/products/flash-player/apsb14-04.html )

* Wed Jan 22 2014 anssi <anssi> 11.2.202.335-1.mga4.nonfree
+ Revision: 567465
- new version 11.2.202.335
  o fixes CVE-2014-0491, CVE-2014-0492
    ( http://helpx.adobe.com/security/products/flash-player/apsb14-02.html )

* Tue Dec 10 2013 anssi <anssi> 11.2.202.332-1.mga4.nonfree
+ Revision: 556183
- new version 11.2.202.332
  o fixes CVE-2013-5331, CVE-2013-5332
    ( http://helpx.adobe.com/security/products/flash-player/apsb13-28.html )

* Sun Nov 17 2013 anssi <anssi> 11.2.202.327-1.mga4.nonfree
+ Revision: 551562
- new version 11.2.202.327
  o fixes CVE-2013-5329, CVE-2013-5330
    ( http://www.adobe.com/support/security/bulletins/apsb13-26.html )

* Thu Oct 31 2013 tmb <tmb> 11.2.202.310-2.mga4.nonfree
+ Revision: 548372
- Mageia 4 rebuild

* Tue Sep 10 2013 anssi <anssi> 11.2.202.310-1.mga4.nonfree
+ Revision: 477326
- new version 11.2.202.310
  o fixes CVE-2013-3361, CVE-2013-3362, CVE-2013-3363, CVE-2013-5324
    ( http://www.adobe.com/support/security/bulletins/apsb13-21.html )

* Tue Jul 09 2013 anssi <anssi> 11.2.202.297-1.mga4.nonfree
+ Revision: 452217
- new version 11.2.202.297
  o fixes CVE-2013-3344, CVE-2013-3345, CVE-2013-3347
    ( http://www.adobe.com/support/security/bulletins/apsb13-17.html )

* Tue Jun 11 2013 anssi <anssi> 11.2.202.291-1.mga4.nonfree
+ Revision: 441972
- new version 11.2.202.291
  o fixes CVE-2013-3343
    ( http://www.adobe.com/support/security/bulletins/apsb13-16.html )

* Tue May 14 2013 anssi <anssi> 11.2.202.285-1.mga3.nonfree
+ Revision: 413149
- new version 11.2.202.285
  o fixes CVE-2013-2728, CVE-2013-3324, CVE-2013-3325, CVE-2013-3326,
    CVE-2013-3327, CVE-2013-3328, CVE-2013-3329, CVE-2013-3330,
    CVE-2013-3331, CVE-2013-3332, CVE-2013-3333, CVE-2013-3334,
    CVE-2013-3335

* Tue Apr 09 2013 anssi <anssi> 11.2.202.280-1.mga3.nonfree
+ Revision: 409194
- new version 11.2.202.280

* Tue Mar 12 2013 anssi <anssi> 11.2.202.275-1.mga3.nonfree
+ Revision: 402189
- new version 11.2.202.275
  o fixes CVE-2013-0646, CVE-2013-0650, CVE-2013-1371, CVE-2013-1375
    ( http://www.adobe.com/support/security/bulletins/apsb13-09.html )

* Wed Feb 27 2013 anssi <anssi> 11.2.202.273-3.mga3.nonfree
+ Revision: 400530
- re-enable both linuxdownload urls and exchange i386 md5sums

* Wed Feb 27 2013 oden <oden> 11.2.202.273-2.mga3.nonfree
+ Revision: 400498
- 11.2.202.273 (fixes CVE-2013-0504,0643,0648)

* Tue Feb 12 2013 anssi <anssi> 11.2.202.270-1.mga3.nonfree
+ Revision: 398117
- new version 11.2.202.270
  o fixes CVE-2013-0637, CVE-2013-0638, CVE-2013-0639, CVE-2013-0642,
    CVE-2013-0644, CVE-2013-0645, CVE-2013-0647, CVE-2013-0649,
    CVE-2013-1365, CVE-2013-1366, CVE-2013-1367, CVE-2013-1368,
    CVE-2013-1369, CVE-2013-1370, CVE-2013-1372, CVE-2013-1373,
    CVE-2013-1374
    (advisory: http://www.adobe.com/support/security/bulletins/apsb13-05.html )

* Thu Feb 07 2013 anssi <anssi> 11.2.202.262-1.mga3.nonfree
+ Revision: 395236
- new version 11.2.202.262
  o fixes CVE-2013-0633, CVE-2013-0634

* Sun Jan 13 2013 anssi <anssi> 11.2.202.261-1.mga3.nonfree
+ Revision: 361962
- new version 11.2.202.261 (CVE-2013-0630)

* Fri Jan 11 2013 umeabot <umeabot> 11.2.202.258-2.mga3.nonfree
+ Revision: 350484
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 anssi <anssi> 11.2.202.258-1.mga3.nonfree
+ Revision: 329804
- new version 11.2.202.258
  o fixes CVE-2012-5676, CVE-2012-5677, CVE-2012-5678

* Wed Nov 07 2012 anssi <anssi> 11.2.202.251-1.mga3.nonfree
+ Revision: 315408
- new version 11.2.202.251
  o fixes CVE-2012-5274, CVE-2012-5275, CVE-2012-5276, CVE-2012-5277,
    CVE-2012-5278, CVE-2012-5279, CVE-2012-5280

* Tue Oct 09 2012 anssi <anssi> 11.2.202.243-1.mga3.nonfree
+ Revision: 303969
- new version 11.2.202.243
  o fixes CVE-2012-5248, CVE-2012-5249, CVE-2012-5250, CVE-2012-5251,
    CVE-2012-5252, CVE-2012-5253, CVE-2012-5254, CVE-2012-5255, CVE-2012-5256,
    CVE-2012-5257, CVE-2012-5258, CVE-2012-5259, CVE-2012-5260, CVE-2012-5261,
    CVE-2012-5262, CVE-2012-5263, CVE-2012-5264, CVE-2012-5265, CVE-2012-5266,
    CVE-2012-5267, CVE-2012-5268, CVE-2012-5269, CVE-2012-5270, CVE-2012-5271,
    CVE-2012-5272
    (bulletin: http://www.adobe.com/support/security/bulletins/apsb12-22.html )

* Sun Aug 19 2012 anssi <anssi> 11.2.202.238-1.mga3.nonfree
+ Revision: 282305
- new version (CVE-2012-1535)

* Sat Jun 09 2012 anssi <anssi> 11.2.202.236-1.mga3.nonfree
+ Revision: 258416
- new version 11.2.202.236
  o fixes critical security vulnerabilities (CVE-2012-2034, CVE-2012-2035,
    CVE-2012-2036, CVE-2012-2037, CVE-2012-2038, CVE-2012-2039,
    CVE-2012-2040,
    http://www.adobe.com/support/security/bulletins/apsb12-14.html )
- require libraries by file names instead of package names (suggested
  by simplew, fixes #5824 (unable to use libcairo-xcb2))

* Fri May 04 2012 anssi <anssi> 11.2.202.235-1.mga2.nonfree
+ Revision: 234712
- 11.2.202.235
  o fixes security issue CVE-2012-0779
    (http://www.adobe.com/support/security/bulletins/apsb12-09.html)

* Tue Apr 17 2012 anssi <anssi> 11.2.202.233-1.mga2.nonfree
+ Revision: 231210
- new version 11.2.202.233
  o bugfixes related to stability and performance
- add some more direct requirements (they were also satisfied
  indirectly via GTK+)

* Thu Mar 29 2012 anssi <anssi> 11.2.202.228-1.mga2.nonfree
+ Revision: 227535
- new version 11.2.202.228
  o fixes a memory corruption vulnerability (CVE-2012-0773)

* Tue Mar 06 2012 anssi <anssi> 11.1.102.63-1.mga2.nonfree
+ Revision: 220477
- new version 11.1.102.63
  o fixes CVE-2012-0768, CVE-2012-0769
    ( http://www.adobe.com/support/security/bulletins/apsb12-05.html )

* Fri Feb 17 2012 anssi <anssi> 11.1.102.62-1.mga2.nonfree
+ Revision: 210094
- new version
  o fixes CVE-2012-0751, CVE-2012-0752, CVE-2012-0753, CVE-2012-0754,
    CVE-2012-0755, CVE-2012-0756, CVE-2012-0767

* Fri Dec 16 2011 anssi <anssi> 11.1.102.55-2.mga2.nonfree
+ Revision: 182382
- use proxy settings from /etc/urpmi/proxy.cfg (bug #3044)

* Fri Nov 11 2011 anssi <anssi> 11.1.102.55-1.mga2.nonfree
+ Revision: 166427
- new version 11.1.102.55
  o fixes overflow and corruption vulnerabilities CVE-2011-2445,
    CVE-2011-2450, CVE-2011-2451, CVE-2011-2452, CVE-2011-2453,
    CVE-2011-2454, CVE-2011-2455, CVE-2011-2456, CVE-2011-2457,
    CVE-2011-2459, CVE-2011-2460
- normal download used again for x86_64, upstream issue regarding
  missing files was fixed
- prevent installation of -kde in %%pre if main package installation
  was prevented by its %%pre

* Thu Oct 06 2011 anssi <anssi> 11.0.1.152-1.mga2.nonfree
+ Revision: 152244
- prefer unversioned archive on x86_64 (for now), fallbacking to the
  versioned one, since the latter one misses some files
+ doktor5000 <doktor5000>
- new version 11.0 final
- obsolete flash-player-plugin11
- remove fake x86_64 stuff, provide native x86_64 plugin
- remove Require for nspluginwrapper
- remove obsolete empty %%defattr and %%_localstatedir

* Thu Sep 22 2011 anssi <anssi> 10.3.183.10-1.mga2.nonfree
+ Revision: 146583
- new version 10.3.183.10
  o fixes CVE-2011-2426, CVE-2011-2427, CVE-2011-2428, CVE-2011-2429
    CVE-2011-2430, CVE-2011-2444
- enforce permissions for extracted files (no effect with current
  Flash Player version)
- new version 10.3.183.7
- clean up on download failure
- provide a fake 64-bit version of the package which installs the
  32-bit version of the Flash Player, to make the installation easier
  on 64-bit installations that do not have 32-bit nonfree repository
  set up by default; the package will be automatically upgraded to
  a true 64-bit stable Flash Player when it becomes available
- split out KDE KCM module into -kde subpackage (bug #1275)
- download in %%pre instead of %%posttrans
- unpack in %%post instead of %%posttrans
- always re-enable GTK flash-player-properties in KDE as well
- drop now unneeded calls to nspluginwrapper and gtk-icon-cache,
  they are now handled by filetriggers
- new version
+ ahmad <ahmad>
- Change references of PLF to Mageia in download-flash-player-plugin

* Fri Jul 08 2011 ahmad <ahmad> 10.3.181.34-1.mga2.nonfree
+ Revision: 120127
- Update to 10.3.181.34

* Wed Jun 15 2011 ahmad <ahmad> 10.3.181.26-1.mga2.nonfree
+ Revision: 107959
- Update to 10.3.181.26

* Thu Jun 09 2011 ahmad <ahmad> 10.3.181.22-1.mga2.nonfree
+ Revision: 102309
- Update to 10.3.181.22

* Fri May 13 2011 anssi <anssi> 10.3.181.14-1.mga1
+ Revision: 98265
- new version
- adapt script for added files
- 32bit KDE now has a settings applet in KDE System Settings, other desktops
  (including 64bit KDE) have a standalone configuration application

* Wed Apr 20 2011 ennael <ennael> 10.2.159.1-1.mga1
+ Revision: 89107
- imported package flash-player-plugin

